﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace Sample
{
    // 9.2.1 削除ボタンのクリック時のコマンドクラスを作成します。

    public class RemoveCommand : ICommand
    {
        private MainWindowViewModel vm;

        public RemoveCommand(MainWindowViewModel viewmodel)
        {
            vm = viewmodel;
        }

        public bool CanExecute(object parameter)
        {
            return true;
        }

        // イベントの実行判断を行わないため、下記のイベントは未実装。
        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            vm.Records.Remove(vm.SelectedItem);
        }
    }



}
